Bug 1340736 - chck - tests fail on secondary arches
Summary: chck - tests fail on secondary arches
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chck
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Alessandro Locati
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2016-05-30 08:17 UTC by Dan Horák
Modified: 2016-09-07 08:45 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-09-06 22:18:36 UTC


Attachments (Terms of Use)

Description Dan Horák 2016-05-30 08:17:38 UTC
chck is currently FTBFS on all secondary arches because few tests are failing

5 - math_test (OTHER_FAULT) on all (aarch64, ppc64/ppc64le, s390(x)), so I expect it a precision problem
1 - buffer_test (OTHER_FAULT) only on big endians (ppc64, s390(x))

from build.log on s390x
...
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.bvLwK2
+ umask 022
+ cd /builddir/build/BUILD
+ cd chck-527540384ddd5b391c42ba294f74b8dd9766a6b7
+ ctest -V -R dl_test
UpdateCTestConfiguration  from :/builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/DartConfiguration.tcl
Parse Config file:/builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/DartConfiguration.tcl
UpdateCTestConfiguration  from :/builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/DartConfiguration.tcl
Parse Config file:/builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/DartConfiguration.tcl
Test project /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7
Constructing a list of tests
Done constructing a list of tests
Checking test dependency graph...
Checking test dependency graph end
test 7
    Start 7: dl_test
7: Test command: /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/test/dl_test
7: Test timeout computed to be: 1500
1/1 Test #7: dl_test ..........................   Passed    0.00 sec
The following tests passed:
	dl_test
100% tests passed, 0 tests failed out of 1
Total Test time (real) =   0.00 sec
+ ctest -V -j4
UpdateCTestConfiguration  from :/builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/DartConfiguration.tcl
Parse Config file:/builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/DartConfiguration.tcl
UpdateCTestConfiguration  from :/builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/DartConfiguration.tcl
Parse Config file:/builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/DartConfiguration.tcl
Test project /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7
Constructing a list of tests
Done constructing a list of tests
Checking test dependency graph...
Checking test dependency graph end
test 7
      Start  7: dl_test
7: Test command: /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/test/dl_test
7: Test timeout computed to be: 1500
test 1
      Start  1: buffer_test
1: Test command: /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/test/buffer_test
1: Test timeout computed to be: 1500
test 2
      Start  2: pool_test
2: Test command: /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/test/pool_test
2: Test timeout computed to be: 1500
test 3
      Start  3: lut_test
3: Test command: /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/test/lut_test
3: Test timeout computed to be: 1500
2: item::1
2: item::2
2: item::3
2: item::1
2: item::2
2: item::3
2: item::3
2: item::1
2: item::2
1: buffer_test: /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/chck/buffer/test.c:76: main: Assertion `chck_buffer_read_string(&str, &len, &buf)' failed.
 1/14 Test  #2: pool_test ........................   Passed    0.24 sec
 2/14 Test  #1: buffer_test ......................***Exception: Other  0.25 sec
 3/14 Test  #7: dl_test ..........................   Passed    0.25 sec
test 4
      Start  4: atlas_test
4: Test command: /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/test/atlas_test
4: Test timeout computed to be: 1500
test 5
      Start  5: math_test
5: Test command: /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/test/math_test
5: Test timeout computed to be: 1500
test 6
      Start  6: bams_test
6: Test command: /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/test/bams_test
6: Test timeout computed to be: 1500
3: (0) foobar
3: (1) penguin
3: (2) ismo
3: (0) foobar
3: (1) penguin
3: (2) ismo
3: (0) foobar
3: (1) penguin
3: (0) foobar
3: (1) penguin
3: (2) ismo
3: (2) ismo
3: [1] collisions: 0
3: (0) foobar
3: (1) penguin
3: (2) ismo
3: [2] collisions: 0
3: [3] collisions: 1
3: [4] collisions: 0
5: math_test: /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/chck/math/test.c:11: main: Assertion `chck_equalld(10.0, 10.000000000001l, 1000000.0l)' failed.
4: 352x320 (0)
4: 512x512 (149504)
 4/14 Test  #3: lut_test .........................   Passed    0.25 sec
 5/14 Test  #5: math_test ........................***Exception: Other  0.03 sec
 6/14 Test  #6: bams_test ........................   Passed    0.03 sec
 7/14 Test  #4: atlas_test .......................   Passed    0.04 sec
test 8
      Start  8: fs_test
8: Test command: /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/test/fs_test
8: Test timeout computed to be: 1500
test 9
      Start  9: sjis_test
9: Test command: /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/test/sjis_test
9: Test timeout computed to be: 1500
test 10
      Start 10: xdg_test
10: Test command: /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/test/xdg_test
10: Test timeout computed to be: 1500
test 11
      Start 11: string_test
11: Test command: /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/test/string_test
11: Test timeout computed to be: 1500
10: /builddir/.config
10: /builddir/.local/share
10: /builddir/.cache
10: /builddir/but_mah_path_is_still_here
10: => /usr/share
10: => /foo/bar
10: => /the/relative/got/skipped
8: /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/test/fs_test
 8/14 Test #10: xdg_test .........................   Passed    0.01 sec
 9/14 Test  #8: fs_test ..........................   Passed    0.02 sec
10/14 Test #11: string_test ......................   Passed    0.01 sec
11/14 Test  #9: sjis_test ........................   Passed    0.02 sec
test 12
      Start 12: thread_queue_test
12: Test command: /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/test/thread_queue_test
12: Test timeout computed to be: 1500
test 13
      Start 13: overflow_test
13: Test command: /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/test/overflow_test
13: Test timeout computed to be: 1500
test 14
      Start 14: unicode_test
14: Test command: /builddir/build/BUILD/chck-527540384ddd5b391c42ba294f74b8dd9766a6b7/test/unicode_test
14: Test timeout computed to be: 1500
12/14 Test #13: overflow_test ....................   Passed    0.01 sec
13/14 Test #14: unicode_test .....................   Passed    0.00 sec
14/14 Test #12: thread_queue_test ................   Passed    0.21 sec
86% tests passed, 2 tests failed out of 14
Total Test time (real) =   0.53 sec
The following tests FAILED:
	  1 - buffer_test (OTHER_FAULT)
	  5 - math_test (OTHER_FAULT)
Errors while running CTest
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.bvLwK2 (%check)
    Bad exit status from /var/tmp/rpm-tmp.bvLwK2 (%check)
...


for full logs please see
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2247241
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3572734
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3420050


Version-Release number of selected component (if applicable):
chck-0-1.20160408git2efd6cd.fc25
chck-0-1.20160408git5275403.fc24

Comment 1 Fabio Alessandro Locati 2016-05-30 09:42:03 UTC
Thanks for the report. I've created a bug upstream https://github.com/Cloudef/chck/issues/24

Comment 2 Jan Kurik 2016-07-26 04:16:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Fabio Alessandro Locati 2016-09-06 22:18:36 UTC
Fixed in http://koji.fedoraproject.org/koji/buildinfo?buildID=798022 :)

Comment 4 Dan Horák 2016-09-07 06:42:03 UTC
Thanks, confirmed on on s390x - http://s390.koji.fedoraproject.org/koji/buildinfo?buildID=428374

Please submit the new builds as updates in Bodhi.

Comment 5 Fabio Alessandro Locati 2016-09-07 08:45:13 UTC
sorry, I thought I did it, but probably I did not pressed 'save'. They are now there :)


Note You need to log in before you can comment on or make changes to this bug.